<div class="is-complete-check">
  <app-content-banner [isDashboard]="false" pageName="Sidenav and Tab level Status Check"></app-content-banner>
  <mat-card class="is-complete-check-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <app-client-banner></app-client-banner>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight>
        <mat-tab>
          <ng-template matTabLabel>
            <!-- <span>Tab1</span> -->
            <span>Housing / Homeless HistoryHistoryHistory HistoryHistory HistoryHistory</span>
            <mat-icon *ngIf="tab1Status !== 2"
              [ngStyle]="{'color': tab1Status == 0 ? pendingColor : tab1Status == 1 ? completedColor :noColor}">
              {{tab1Status == 1?'check_circle': tab1Status == 0 ? 'watch_later': ''}}</mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container">
                Check if the form is not empty
                <button type="button" (click)="onTab1FormFieldTouched()" mat-raised-button color="primary">Form
                  Partially filled</button>
              </div>
              <div class="example-container">
                If the form is Completed.
                <button type="button" (click)="onTab1FormFieldCompleted()" mat-raised-button color="primary">Form
                  Completed</button>
              </div>
              <div class="example-container">
                Reset the form
                <button type="button" (click)="onTab1FormFieldUnTouched()" mat-raised-button color="primary">Form
                  Reset</button>
              </div>
              <div class="example-container regular-mat-form-field">  
                <!-- Below form is the test for datepicker trigger on date changed dynamically (this was done for HousingHomeless episode select)  -->
                <form [formGroup]="housingForm" (ngSubmit)="onSubmit()">
                  <button mat-raised-button color="primary" type="button" (click)="onFromDateTriggered()">trigger FromDate</button>
                  <label class="content-sub-label required-label-color" for="fromDateCtrl"> From Date:</label>
                  <mat-form-field class="content-sub-field" appearance="outline">
                    <input matInput [matDatepicker]="fromDatePicker" formControlName="fromDateCtrl" placeholder="MM/DD/YYYY">
                    <mat-icon matSuffix (click)="fromDatePicker.open()" style="cursor:pointer; color:#777;">today</mat-icon>
                    <mat-datepicker #fromDatePicker></mat-datepicker>
                  </mat-form-field>

                  <button mat-raised-button color="primary" type="button" (click)="onToDateTriggered()">trigger ToDate</button>
                  <label class="content-sub-label required-label-color" for="toDateCtrl"> To Date:</label>
                  <mat-form-field class="content-sub-field" appearance="outline">
                    <input matInput [matDatepicker]="toDatePicker" formControlName="toDateCtrl" placeholder="MM/DD/YYYY">
                    <mat-icon matSuffix (click)="toDatePicker.open()" style="cursor:pointer; color:#777;">today</mat-icon>
                    <mat-datepicker #toDatePicker></mat-datepicker>
                  </mat-form-field>
                  
                </form>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Test Tab2</span>
            <mat-icon *ngIf="tab2Status !== 2"
              [ngStyle]="{'color': tab2Status == 0 ? pendingColor : tab2Status == 1 ? completedColor :noColor}">
              {{tab2Status == 1?'check_circle': tab2Status == 0 ? 'watch_later': ''}}</mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container">
                Check if the form is not empty
                <button type="button" (click)="onTab2FormFieldTouched()" mat-raised-button color="primary">Form
                  Partially filled</button>
              </div>
              <div class="example-container">
                If the form is Completed.
                <button type="button" (click)="onTab2FormFieldCompleted()" mat-raised-button color="primary">Form
                  Completed</button>
              </div>
              <div class="example-container">
                Reset the form
                <button type="button" (click)="onTab2FormFieldUnTouched()" mat-raised-button color="primary">Form
                  Reset</button>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Test Tab3</span>
            <mat-icon *ngIf="tab3Status !== 2"
              [ngStyle]="{'color': tab3Status == 0 ? pendingColor : tab3Status == 1 ? completedColor :noColor}">
              {{tab3Status == 1?'check_circle': tab3Status == 0 ? 'watch_later': ''}}</mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container">
                Check if the form is not empty
                <button type="button" (click)="onTab3FormFieldTouched()" mat-raised-button color="primary">Form
                  Partially filled</button>
              </div>
              <div class="example-container">
                If the form is Completed.
                <button type="button" (click)="onTab3FormFieldCompleted()" mat-raised-button color="primary">Form
                  Completed</button>
              </div>
              <div class="example-container">
                Reset the form
                <button type="button" (click)="onTab3FormFieldUnTouched()" mat-raised-button color="primary">Form
                  Reset</button>
              </div>
            </div>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
</div>